Bug 1956513 - latest nss i686 breaks something that cases over 2 minute delay in Firefox loading.
Summary: latest nss i686 breaks something that cases over 2 minute delay in Firefox lo...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 33
Hardware: All
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Bob Relyea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:12 UTC by Michael Setzer II
Modified: 2021-05-11 15:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Michael Setzer II 2021-05-03 20:12:27 UTC
Description of problem:
After doing the last updates and then rebooting since it included new kernel.
Then found an over 2 minute 43 second delay in firefox opening?
Using strace firefox found it has long pauses at two points.

> ppoll([{fd=10, events=POLLIN}], 1, {tv_sec=119, tv_nsec=999420000}, NULL, 8) 
> = 1 ([{fd=10, revents=POLLIN}], left {tv_sec=46, tv_nsec=773625894})
> ppoll([{fd=14, events=POLLIN}], 1, {tv_sec=119, tv_nsec=999274000}, NULL, 8) 
> = 1 ([{fd=14, revents=POLLIN}], left {tv_sec=113, tv_nsec=850834948})

Did eventually load, but going from a few seconds to almost 3 minutes was an issue.

Things that didn't solve problem.
rebooted to old kernel no change
downgraded firefox not changed.

What fixed problem, but not sure why.
looking at update list saw the nss i686 was updated in the last update, and looking at strace showed some lines with that near pauses? (ppoll)
did a dns reinstall nss*X86_64 and reinstalled the programs.
Then firefox went back to the normal few seconds to open.

booted to latest kernel worked
updated firefox to latest kernel and it still works.

So, not sure what the problem was, or why reintall the nss 64 bit fixed it??
Just thought I report what I found.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michael Setzer II 2021-05-04 03:04:04 UTC
Update? Worked fine with no delays for about a day. 
Then the delay with ppoll lines started again?
Tried the dnf reinstall nss*x86_64 but this time no change??
Rebooted system with nothing else, and then firefox was back to normal startup of a few seconds??
The strace firefox 2>firefox.bad 
file info
cat -n firefox.bad | grep ppoll
  2687	ppoll([{fd=10, events=POLLIN}], 1, {tv_sec=119, tv_nsec=999420000}, NULL, 8) = 1 ([{fd=10, revents=POLLIN}], left {tv_sec=46, tv_nsec=773625894})
  4422	ppoll([{fd=14, events=POLLIN}], 1, {tv_sec=119, tv_nsec=999274000}, NULL, 8) = 1 ([{fd=14, revents=POLLIN}], left {tv_sec=113, tv_nsec=850834948})
57123 lines total firefox.bad

Ran command and then closed as soon as firefox window appeared.
When error doesn't occur the strace command is just over 50000 lines and has no ppoll lines in it.

When output goes to screen, it displays the line up to the NULL, 8 and then pauses. for just over 1 minute? Then it runs lines.
Lots of lines I don't have a clue what they mean? Perhaps someone could look at the strace file and see something I don't.
Or is there another method to debug problem??


Note You need to log in before you can comment on or make changes to this bug.